GET
/virtualclusters/{virtualClusterId}/endpoints/{endpointId}
http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints/{endpointId}Displays detailed information about a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.
Access Token Required: API Key
Path Parameters
endpointIdstringrequired
This output displays ID of the managed endpoint.
virtualClusterIdstringrequired
The ID of the endpoint's virtual cluster.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints/{endpointId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}